Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.impl
Class LocatableFactory<T>

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.impl.LocatableFactory<T>

All Implemented Interfaces:
  Factory<T>, Locatable

    public class LocatableFactory<T>

extends Located
implements Factory<T>

Attaches location information to the factory.

Field Summary
`private Class` | `implementation`
`private String` | `name`
`private Scope` | `scope`
`private Class` | `type`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`LocatableFactory(String name, Class type, Class implementation, Scope scope, Object location)`

Method Summary
`T` | `create(Context context)` Creates an object to be injected.
`String` | `toString()`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### implementation

    private Class implementation

### type

    private Class type

### name

    private String name

### scope

    private Scope scope

Constructor Detail

### LocatableFactory

    public LocatableFactory(String name,
                            Class type,
                            Class implementation,
                            Scope scope,
                            Object location)

Method Detail

### create

    public T create(Context context)

  Description copied from interface: `Factory`
  Creates an object to be injected.

  Specified by:
    `create` in interface `Factory<T>`
  Parameters:
    `context` - of this injection
  Returns:
    instance to be injected

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.